Update organization

PUT
/api/v2/organizations/{id}

Updates an existing organization by its unique identifier. Returns the updated organization.

AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'

In: header

Path Parameters

id*string

The ID of the organization to update.

Formatuuid

Request Body

application/json

The updated organization data.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v2/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "displayName": "string",    "themeId": "53fe7fb9-b3ba-4541-bf79-a49c12f44b76"  }'
{  "isSuccess": true,  "error": {},  "errorDetails": "string",  "message": "string",  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "displayName": "string",    "description": "string",    "isActive": true,    "isDefault": true,    "themeId": "53fe7fb9-b3ba-4541-bf79-a49c12f44b76"  },  "resultInfo": {    "page": 0,    "perPage": 0,    "totalCount": 0,    "totalPages": 0,    "hasPreviousPage": true,    "hasNextPage": true  }}